#
# spec file for package python-pygit2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pygit2
Version:        0.25.0
Release:        0
Summary:        Python bindings for libgit2
License:        GPL-2.0
Group:          Development/Languages/Python
Url:            https://github.com/libgit2/pygit2
Source:         https://pypi.io/packages/source/p/pygit2/pygit2-%{version}.tar.gz
BuildRequires:  libgit2-devel >= 0.25
BuildRequires:  libopenssl-devel
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module cffi}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module setuptools}
%requires_eq    python-cffi
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
Bindings for libgit2, a linkable C library for the Git version-control system.

%prep
%setup -q -n pygit2-%{version}

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
#python setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%doc COPYING README.rst
%{python_sitearch}/*

%changelog
